/*---------------------------------------------
   Code for drawing a spiral from tutorial at:
   https://www.youtube.com/watch?v=ynkobjJ2SiI
---------------------------------------------*/
float rAngle = random(0.1, 30);
float rStroke = random(0, 25);

void setup() {
    size(1400, 800); 
    smooth();
}

void draw() {
 background(0); 
  stroke(255, 255, 0);
  translate(width/2, height/2);
  
  float wave = sin(radians(frameCount));
  float w = wave + map(mouseX, 0, height, 2500, 0);
  
   for(int i = 0; i < 500; i++) {
     strokeWeight(1);
     rotate(rAngle);
     line(650, i - w/2, -650, i++);
     stroke(255, 255, 0);
     line(650, i - w, -650, i++);
     stroke(mouseY-545, 100, 100);
     line(650, i - w, -650, i++);

   }
}
